Subject: [PATCH 0/2] Fix register misuse in drivers/net/phy/marvel.c

From: Wang Jian <[email-masked]>
Date: Fri, 11 Jul 2008 08:55:18 +0800

These 2 patches fixed misuse of register for 88e1111.

The problem can be reproduced in my powerpc dev board.

With fiber plugged, start the board in u-boot, the fiber link is
established and data transfer is ok. Booting into kernel with current
marvell.c implementation, and "ifconfig ethX up", the fiber link is lost.

The #1 patch fixed this.

The #2 patch is obvious but I can't test it myself because the board I
have using 88e1111 in GMII mode.

Notice: These two patches didn't fix some auto selection problem yet. I
will discuss the problem in seperate email.